[Overview][Classes][Index] | Reference for unit 'IniFiles' (#fcl)

# TMemIniFile.Clear

Clear the data

## Declaration

Source position: inifiles.pp line 197

`public procedure TMemIniFile.Clear;`

## Description

Clear removes all sections and key/value pairs from memory. If CacheUpdates is set to False then the file on disk will immediatly be emptied.

## See also

SetStrings |  | Set data from a stringlist
GetStrings |  | Get contents of ini file as stringlist

Documentation generated on: Feb 26 2014